# Uses of Class
java.lang.management.MonitorInfo

Packages that use MonitorInfo
Package
Description
java.lang.management
Provides the management interfaces for monitoring and management of the Java virtual machine and other components in the Java runtime.

## Uses of MonitorInfo in java.lang.management

Methods in java.lang.management that return MonitorInfo
Modifier and Type
Method
Description
`static MonitorInfo`
MonitorInfo.`from(CompositeData cd)`
Returns a `MonitorInfo` object represented by the given `CompositeData`.
`MonitorInfo[]`
ThreadInfo.`getLockedMonitors()`
Returns an array of `MonitorInfo` objects, each of which represents an object monitor currently locked by the thread associated with this `ThreadInfo`.